package com.mints.goodmoney.manager

import android.app.Application
import com.bytedance.applog.AppLog
import com.bytedance.applog.InitConfig
import com.bytedance.applog.util.UriConstants
import com.bytedance.hume.readapk.HumeSDK
import com.mints.goodmoney.MintsApplication
import com.mints.goodmoney.utils.LogUtil
import com.mints.library.utils.CommonUtils

private val TAG = CsjAppLogManager::class.java.simpleName

object CsjAppLogManager {

    fun init(application: Application) {
        /* 初始化开始 */
        val config = InitConfig("229031", CommonUtils.getAppMetaData(MintsApplication.getContext(), "CHANNEL_NAME") + HumeSDK.getChannel(MintsApplication.getContext())) // appid和渠道，appid如不清楚请联系对接同学

        //上报域名只支持中国
        config.setUriConfig(UriConstants.DEFAULT)

        // 是否在控制台输出日志，可用于观察用户行为日志上报情况
//        config.setLogger { msg, t -> LogUtil.d(TAG, "$msg -> $t") }

        config.setAutoStart(true)
        AppLog.init(application, config)
        /* 初始化结束 */

        /* 自定义 “用户公共属性”（可选，初始化后调用, key相同会覆盖）
      	关于自定义 “用户公共属性” 请注意：1. 上报机制是随着每一次日志发送进行提交，默认的日志发送频率是1分钟，所以如果在一分钟内连续修改自定义用户公共属性，，按照日志发送前的最后一次修改为准， 2. 不推荐高频次修改，如每秒修改一次 */
        //Map<String,Object> headerMap = new HashMap<String, Object>();
        //headerMap.put("your_custom_key","your_custom_value");
        //AppLog.setHeaderInfo((HashMap<String, Object>)headerMap);

        //移除公共属性
        //AppLog.removeHeaderInfo("your_custom_key");
    }

}