package com.mints.goodmoney.mvp.presenters;

import android.text.TextUtils;

import com.google.gson.JsonObject;
import com.mints.goodmoney.MintsApplication;
import com.mints.goodmoney.common.DeviceInfo;
import com.mints.goodmoney.manager.AppHttpManager;
import com.mints.goodmoney.manager.ShumeiManager;
import com.mints.goodmoney.manager.TrackManager;
import com.mints.goodmoney.mvp.model.BaseResponse;
import com.mints.goodmoney.mvp.model.ShaiziBean;
import com.mints.goodmoney.mvp.model.UserBean;
import com.mints.goodmoney.mvp.model.WaterBean;
import com.mints.goodmoney.mvp.views.ShaiziView;
import com.mints.goodmoney.mvp.views.WaterView;
import com.mints.goodmoney.utils.DeviceUuidFactory;
import com.mints.goodmoney.utils.rxutil.CommonRxTask;
import com.mints.goodmoney.utils.rxutil.RxjavaUtil;
import com.mints.library.net.neterror.BaseSubscriber;
import com.mints.library.net.neterror.Throwable;

import java.util.HashMap;

public class ShaiziPresenter extends BasePresenter<ShaiziView> {

    public void getRollDiceMsg(double cash,boolean isBig) {
        HashMap<String, Object> vo = new HashMap<>();
        vo.put("cash", cash);
        vo.put("isBig",isBig);
        //添加摇色子ID
        AppHttpManager.getInstance(loanApplication)
                .call(loanService.getRollDiceMsg(vo),
                        new BaseSubscriber<BaseResponse<ShaiziBean>>() {
                            @Override
                            public void onCompleted() {
                                if (isLinkView()) return;

                                view.hideLoading();
                            }

                            @Override
                            public void onError(Throwable e) {
                                if (isLinkView()) return;
                                view.getShaiziMsgHomefail();
                                view.hideLoading();
                                //提示错误信息
                                view.showToast(e.getMessage());
                            }

                            @Override
                            public void onNext(BaseResponse<ShaiziBean> baseResponse) {
                                if (isLinkView()) return;

                                int code = baseResponse.getStatus();
                                switch (code) {
                                    case 200://成功
                                        view.getShaiziMsgHomeSuc(baseResponse.getData());
                                        break;
                                    default:
                                        view.showToast(baseResponse.getMessage());
                                        break;
                                }
                            }
                        });
    }


    public void saveTerminalInfo(double curCash,long diceid) {
        view.showLoading("加载中...");

        DeviceInfo deviceInfo = DeviceInfo.Companion.getInstance();
        RxjavaUtil.executeRxTask(new CommonRxTask<String>("") {
            @Override
            public void doInIOThread() {
                setT(deviceInfo.getAppInfoMap());
            }

            @Override
            public void doInUIThread() {
                HashMap<String, Object> vo = new HashMap<>();
                String macAddress = deviceInfo.getMacAddress();
                if (!TextUtils.isEmpty(macAddress)) {
                    String mac = macAddress.replace(":", "");
                    vo.put("mac", mac);
                    vo.put("mac1", macAddress);
                }
                vo.put("imei", deviceInfo.getIMEI());
                vo.put("androidid", deviceInfo.getAndroidId(null));
                vo.put("os", "android");
                vo.put("shumeiId", ShumeiManager.getInstance().getShumeiDeviceId());
                vo.put("model", deviceInfo.getNewModel());
                vo.put("uuid", new DeviceUuidFactory().getDeviceUuid());
                vo.put("osversion", deviceInfo.getOSVersion());
                vo.put("appversion", deviceInfo.getVersionName());
                vo.put("appPkgList", getT());
                if (!TextUtils.isEmpty(MintsApplication.OAID)) {
                    vo.put("oaid", MintsApplication.OAID);
                }
                vo.put("ua", deviceInfo.getUserAgent());
                TrackManager.getInstance().riskinfo();

                AppHttpManager.getInstance(loanApplication)
                        .call(loanService.saveTerminalInfo(vo),
                                new BaseSubscriber<BaseResponse<UserBean>>() {
                                    @Override
                                    public void onCompleted() {
                                        if (isLinkView()) return;
                                    }

                                    @Override
                                    public void onError(Throwable e) {
                                        if (isLinkView()) return;

                                        view.hideLoading();
                                    }

                                    @Override
                                    public void onNext(BaseResponse<UserBean> baseResponse) {
                                        if (isLinkView()) return;

                                        int code = baseResponse.getStatus();
                                        String message = baseResponse.getMessage();
                                        switch (code) {
                                            case 200://成功
                                                addShaiziresult(curCash,diceid);
                                                break;
                                            default:
                                                view.showToast(message);
                                                view.hideLoading();
                                                break;
                                        }
                                    }
                                });
            }
        });
    }

    public void addShaiziresult(double cash,long diceid) {
        HashMap<String, Object> vo = new HashMap<>();
        vo.put("payChannel","WEIXIN");
        vo.put("cash", cash);
        vo.put("diceid",diceid);
        //添加摇色子ID
        AppHttpManager.getInstance(loanApplication)
                .call(loanService.addCashoutReq(vo),
                        new BaseSubscriber<BaseResponse<Object>>() {
                            @Override
                            public void onCompleted() {
                                if (isLinkView()) return;

                                view.hideLoading();
                            }

                            @Override
                            public void onError(Throwable e) {
                                if (isLinkView()) return;

                                view.hideLoading();
                                view.showToast(e.getMessage());
                            }

                            @Override
                            public void onNext(BaseResponse<Object> baseResponse) {
                                if (isLinkView()) return;

                                int code = baseResponse.getStatus();
                                switch (code) {
                                    case 200://成功
                                        view.drawCashSuc();
                                        break;
                                    default:
                                        view.showToast(baseResponse.getMessage());
                                        break;
                                }
                            }
                        });
    }

}
