package com.mints.goodmoney.ui.widgets.dialog

import com.mints.goodmoney.R
import com.mints.goodmoney.ui.widgets.seekbar.BubbleUtils
import com.mints.goodmoney.utils.SpanUtils

import android.app.Dialog
import android.content.Context
import android.text.Html
import android.view.Gravity
import android.view.KeyEvent
import android.view.WindowManager
import android.widget.ImageView
import android.widget.TextView

/**
 * 关注公众号
 */
class GzhDialog(context: Context, private val listener: DialogListener) :
        Dialog(context, R.style.dialog) {
    private val lp: WindowManager.LayoutParams

    private val iv_Close: ImageView
    private val tv_focus: TextView
    private val tv_subscribe: TextView

    init {
        setContentView(R.layout.dialog_gzh)
        // 设置window属性
        lp = window!!.attributes
        lp.gravity = Gravity.CENTER
        lp.width = WindowManager.LayoutParams.WRAP_CONTENT
        lp.windowAnimations = R.style.DialogAnimBottom
        window!!.attributes = lp

        // 设置外部不可关闭
        setCancelable(false)
        setCanceledOnTouchOutside(false)
        setOnKeyListener { _, i, _ ->
            i == KeyEvent.KEYCODE_BACK
        }
        // 查找View
        tv_focus = findViewById(R.id.tv_focus)
        tv_subscribe = findViewById(R.id.tv_subscribe)
        iv_Close = findViewById(R.id.iv_Close)

        val ssb = SpanUtils()
                .append("关注官方公众号")
                .append("[淘金空间]\n").setFontSize(BubbleUtils.dp2px(20)).setBold()
                .append("您可以第一时间了解到")
                .create()

        findViewById<TextView>(R.id.tv_1).text = ssb

        tv_subscribe.text = Html.fromHtml("<u>我已订阅</u>")

        tv_focus.setOnClickListener {
            listener.onClick(it)
        }
        tv_subscribe.setOnClickListener {
            listener.onClick(it)
        }
        iv_Close.setOnClickListener {
            listener.onClick(it)
        }
    }
}