package com.mints.goodmoney.ui.widgets.dialog

import android.app.Dialog
import android.content.Context
import android.view.Gravity
import android.view.KeyEvent
import android.view.WindowManager
import android.widget.ImageView
import android.widget.TextView
import com.mints.goodmoney.R
import org.w3c.dom.Text

class WinDialog(context: Context, private val listener: DialogListener, str1: String, str2: String) :
        Dialog(context, R.style.dialog_two) {
    private val lp: WindowManager.LayoutParams

    private val tv_result_title: TextView
    private val tv_result: TextView
    private val tv_know: TextView

    init {
        setContentView(R.layout.dialog_win)
        // 设置window属性
        lp = window!!.attributes
        lp.gravity = Gravity.CENTER
        lp.width = WindowManager.LayoutParams.WRAP_CONTENT
        lp.windowAnimations = R.style.DialogAnimBottom
        window!!.attributes = lp

        // 设置外部不可关闭
        setCancelable(false)
        setCanceledOnTouchOutside(false)
        setOnKeyListener { _, i, _ ->
            i == KeyEvent.KEYCODE_BACK
        }
        // 查找View
        tv_result_title = findViewById(R.id.tv_result_title)
        tv_know = findViewById(R.id.tv_know)
        tv_result = findViewById(R.id.tv_result)

        tv_result_title.text = str1
        tv_result.text = str2

        tv_know.setOnClickListener(listener)
    }
}